<%-- assignacioMollVaixell.jsp --%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>

<html>
    <head>

	    <spring:url value="/resources/estils/grp.css" var="grp_css" />
	    <link href="${grp_css}" rel="stylesheet" />
	    <spring:url value="/resources/imatges" var="imatges" />
	    
	    <spring:url value="/resources/js/jquery-3.3.1.js" var="grp_jquery" />
	    <script type="text/javascript" src="${grp_jquery}"></script>
	    
	    <spring:url value="/resources/estils/jquery-ui.css" var="jquery_ui_css" />
	    <link href="${jquery_ui_css}" rel="stylesheet" />

	    <spring:url value="/resources/js/jquery-ui.js" var="grp_jquery_ui" />
	    <script type="text/javascript" src="${grp_jquery_ui}"></script>
	    
	    <spring:url value="/resources/js/grp.js" var="grp_js" />
	    <script type="text/javascript" src="${grp_js}"></script>	    
	    
        <title>assignacioMollVaixell.jsp</title>

    </head>

    <body>

	<table class="taulaExtCap">
        <tr> <td>

            <table class="taulaIntCapNomApl">
                <tr>
                    <td><div class="textTaulaNomAplicacio">GESTIÓ DE RECURSOS PESQUERS 2018</div></td>
                </tr>
            </table>
 
            <table class="taulaIntCapNav">
                <tr>
                  <td><div class="textTaulaNavegacio">PLANIFICACIÓ
                      <img src="${imatges}/separador_guia.png" style="vertical-align: -19% " height="18" width="18" />
                      GESTIÓ DE ASSIGNACIÓ DE MOLL A VAIXELL</div>
                  </td>
                </tr>
            </table>

            <table class="taulaIntCapInfoSessio">
                <tr>
                    <td><div class="textTaulaInfoSessio">USUARI:&nbsp;<c:out value='${sessionScope["usuari"]}' /></div></td>
                    <c:url var="logout" value="/acces/logout" />
                    <td><a href="${logout}" class="boto">SORTIR</a></td>
                </tr>
            </table>

        </td></tr>
	</table>

	<div class="separadorTaulesExteriors"></div>


    <c:url var="guardarAssigMollVaixell" value="/planificador/guardarAssigMollVaixell"></c:url>
    
    <form:form action="${guardarAssigMollVaixell}" method="post" modelAttribute="formAssignarMollVaixell">
    

    <table class="taulaExtCos">
        
        <tr>
            <td>

            <table class="taulaGrisContornSimple taulaIntAssigAreaMollVaixell">
                
                <tr>

                   <td class="espaiColumnaAssigAreaMollVaixell"></td>
                   
                   <td>
                       <div class="textNomCamps">NOM DEL VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="nomVaixell" value="${vaixell.nomVaixell}" readonly disabled />
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">TIPUS DE VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="tipusVaixell" value="${vaixell.tipusVaixell}" readonly disabled />
                       </div>
                   </td>
                   
                   <td class="columnaAjuda">
                       <img src="${imatges}/icona_ajuda.png" class="iconaAjuda" onclick="obrirAjuda('ajudaAssigMollVaixell')" alt="Premi per accedir a la ajuda" title="Premi per accedir a la ajuda"/>
                   </td>

                </tr>

                <tr>

                  <td class="espaiColumnaAssigAreaMollVaixell"></td>

                  <c:choose>
                      <c:when test="${vaixell.mollAssignat == null}"><c:set var="varMollAssig" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varMollAssig" scope="page" value = "${vaixell.mollAssignat}"/></c:otherwise>
                  </c:choose>
                   
                   <td>
                       <div class="textNomCamps">MOLL ASSIGNAT AL VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="mollAssigVaixell" value="<c:out value = "${varMollAssig}"/>" readonly disabled />
                           <input type="hidden" name="idMollAssigVaixell" value="${vaixell.idMollAssignat}">
                       </div>
                   </td>
                   
                   <td>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="button" name="treureMoll" value="TREURE MOLL" id="botoTreureMoll"/>
                       </div>
                   </td>

                </tr>

                <tr>

                  <td class="espaiColumnaAssigAreaMollVaixell"></td>
                   
                   <td>
                       <div class="textNomCamps">MOLLS DISPONIBLES PER ASSIGNAR</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <select name="mollsDisponiblesSel" class="ampladaSelect">
                               <c:forEach items="${mollsDisponibles}" var="entry">
                                   <option value="${entry.key}"> 
                                       <c:out value="${entry.value}"/>
                                   </option>
                               </c:forEach>
                           </select>
                       </div>
                   </td>
                   
                   <td>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="button" name="treureMoll" value="ASSIGNAR MOLL" id="botoAssignarMoll"/>
                       </div>
                   </td>

                </tr>
                              
            </table>
  

            </td>
        </tr>



        <%--   Botons inferiors --%>
        <tr>
            <td>
            <table class="taulaBotons">
                <tr>
                    <td><input type="button" name="guardar" value="GUARDAR" id="botoGuardarAssigMoll"/></td>
                    <td><div class="separarBotons"></div></td>
                    <td><input type="button" name="cancelar" value="CANCEL·LAR" onclick="location.href='/GRP2018/menuPlanificador/mostrarMenu'"></td>                    
                </tr>
            </table>
            </td>
        </tr>

    </table>

    <input type="hidden" name="idVaixell" value="${vaixell.idVaixell}"> 
    <input type="hidden" name="idMollAssigVaixellBD" value="<c:out value = "${vaixell.idMollAssignat}"/>">
    
    </form:form>

    </body>

</html>