<%-- assignacioTripVaixell.jsp --%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>

<html>
    <head>

	    <spring:url value="/resources/estils/grp.css" var="grp_css" />
	    <link href="${grp_css}" rel="stylesheet" />
	    <spring:url value="/resources/imatges" var="imatges" />
	    
	    <spring:url value="/resources/js/jquery-3.3.1.js" var="grp_jquery" />
	    <script type="text/javascript" src="${grp_jquery}"></script>
	    
	    <spring:url value="/resources/estils/jquery-ui.css" var="jquery_ui_css" />
	    <link href="${jquery_ui_css}" rel="stylesheet" />

	    <spring:url value="/resources/js/jquery-ui.js" var="grp_jquery_ui" />
	    <script type="text/javascript" src="${grp_jquery_ui}"></script>
	    
	    <spring:url value="/resources/js/grp.js" var="grp_js" />
	    <script type="text/javascript" src="${grp_js}"></script>	    
	    

	        
        <title>assignacioTripVaixell.jsp</title>

    </head>

    <body>

	<table class="taulaExtCap">
        <tr> <td>

            <table class="taulaIntCapNomApl">
                <tr>
                    <td><div class="textTaulaNomAplicacio">GESTIÓ DE RECURSOS PESQUERS 2018</div></td>
                </tr>
            </table>
 
            <table class="taulaIntCapNav">
                <tr>
                  <td><div class="textTaulaNavegacio">PLANIFICACIÓ
                      <img src="${imatges}/separador_guia.png" style="vertical-align: -19% " height="18" width="18" />
                      GESTIÓ DE ASSIGNACIÓ DE TRIPULACIÓ A VAIXELL</div>
                  </td>
                </tr>
            </table>

            <table class="taulaIntCapInfoSessio">
                <tr>
                    <td><div class="textTaulaInfoSessio">USUARI:&nbsp;<c:out value='${sessionScope["usuari"]}' /></div></td>
                    <c:url var="logout" value="/acces/logout" />
                    <td><a href="${logout}" class="boto">SORTIR</a></td>
                </tr>
            </table>

        </td></tr>
	</table>

	<div class="separadorTaulesExteriors"></div>


    <c:url var="guardarAssigTripVaixell" value="/planificador/guardarAssigTripVaixell"></c:url>
    
    <form:form action="${guardarAssigTripVaixell}" method="post" modelAttribute="formAssignarTripVaixell">
    

    <table class="taulaExtCos">
        
        <tr>
            <td>

            <table class="taulaGrisContornSimple taulaIntAssigTripVaixell">
                
                <tr>

                   <td class="espaiColumnaAssigAreaMollVaixell"></td>
                   
                   <td>
                       <div class="textNomCamps">NOM DEL VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="nomVaixell" value="${vaixell.nomVaixell}" readonly disabled />
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">TIPUS DE VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="tipusVaixell" value="${vaixell.tipusVaixell}" readonly disabled />
                       </div>
                   </td>

                   <td>
                       <div class="textNomCamps">ESLORA DEL VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="eslora" value="${vaixell.eslora}" readonly disabled />
                       </div>
                   </td>
                   
                   <td class="columnaAjuda">
                       <img src="${imatges}/icona_ajuda.png" class="iconaAjuda" onclick="obrirAjuda('ajudaAssigTripVaixell')" alt="Premi per accedir a la ajuda" title="Premi per accedir a la ajuda"/>
                   </td>

                </tr>

                <tr>

                  <td class="espaiColumnaAssigAreaMollVaixell"></td>
                   
                   <td>
                       <div class="textNomCamps">PATRÓ</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <select name="patroSel" class="tripulacioSelect" size="4">
                               <c:forEach items="${patronsDisponiblesMap}" var="entry">
                                   <option value="${entry.key}" <c:if test="${entry.key eq patro}"> selected="selected" </c:if>> 
                                       <c:out value="${entry.value}"/>
                                   </option>
                               </c:forEach>
                           </select>
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">MARINER-1</div>                   
                       <div class="alineacioEsq margeCampsFormulari">
                           <select name="mariner1Sel" class="tripulacioSelect" size="4">
                               <c:forEach items="${marinersDisponiblesMap}" var="entry">
                                   <option value="${entry.key}" <c:if test="${entry.key eq mariner1}"> selected="selected" </c:if>> 
                                       <c:out value="${entry.value}"/>
                                   </option>
                               </c:forEach>
                           </select>
                       </div>
                   </td>

                   <td>
                       <div class="textNomCamps">MARINER-2</div>                   
                       <div class="alineacioEsq margeCampsFormulari">
                           <select name="mariner2Sel" class="tripulacioSelect" size="4">
                               <c:forEach items="${marinersDisponiblesMap}" var="entry">
                                   <option value="${entry.key}" <c:if test="${entry.key eq mariner2}"> selected="selected" </c:if>> 
                                       <c:out value="${entry.value}"/>
                                   </option>
                               </c:forEach>
                           </select>
                       </div>
                   </td>

                </tr>

                <tr>

                  <td class="espaiColumnaAssigAreaMollVaixell"></td>
                   
                   <td>
                       <div class="textNomCamps">MARINER-3</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <select name="mariner3Sel" class="tripulacioSelect" size="4">
                               <c:forEach items="${marinersDisponiblesMap}" var="entry">
                                   <option value="${entry.key}" <c:if test="${entry.key eq mariner3}"> selected="selected" </c:if>> 
                                       <c:out value="${entry.value}"/>
                                   </option>
                               </c:forEach>
                           </select>
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">MARINER-4</div>                   
                       <div class="alineacioEsq margeCampsFormulari">
                           <select name="mariner4Sel" class="tripulacioSelect" size="4">
                               <c:forEach items="${marinersDisponiblesMap}" var="entry">
                                   <option value="${entry.key}" <c:if test="${entry.key eq mariner4}"> selected="selected" </c:if>> 
                                       <c:out value="${entry.value}"/>
                                   </option>
                               </c:forEach>
                           </select>
                       </div>
                   </td>

                   <td>
                       <div class="textNomCamps">MARINER-5</div>                   
                       <div class="alineacioEsq margeCampsFormulari">
                           <select name="mariner5Sel" class="tripulacioSelect" size="4">
                               <c:forEach items="${marinersDisponiblesMap}" var="entry">
                                   <option value="${entry.key}" <c:if test="${entry.key eq mariner5}"> selected="selected" </c:if>> 
                                       <c:out value="${entry.value}"/>
                                   </option>
                               </c:forEach>
                           </select>
                       </div>
                   </td>

                </tr>
                              
            </table>
  

            </td>
        </tr>



        <%--   Botons inferiors --%>
        <tr>
            <td>
            <table class="taulaBotons">   
                <tr>
                    <td><input type="button" name="guardar" value="GUARDAR" id="botoGuardarAssigTrip"/></td>
                    <td><div class="separarBotons"></div></td>
                    <td><input type="button" name="baixa" value="DONAR DE BAIXA" id="botoBaixaTrip"/></td>
                    <td><div class="separarBotons"></div></td>                    
                    <td><input type="button" name="cancelar" value="CANCEL·LAR" onclick="location.href='/GRP2018/menuPlanificador/mostrarMenu'"></td>                    
                </tr>
            </table>
            </td>
        </tr>

    </table>

    <input type="hidden" name="idVaixell" value="${vaixell.idVaixell}">
    <input type="hidden" name="patro" value="${patro}" id="patroBD">  
    <input type="hidden" name="mariner1" value="${mariner1}" id="mariner1BD">    
    <input type="hidden" name="mariner2" value="${mariner2}" id="mariner2BD">    
    <input type="hidden" name="mariner3" value="${mariner3}" id="mariner3BD">    
    <input type="hidden" name="mariner4" value="${mariner4}" id="mariner4BD">    
    <input type="hidden" name="mariner5" value="${mariner5}" id="mariner5BD">    
    
    </form:form>

    </body>

</html>