<%-- canviEstatUsuari.jsp --%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>

<html>
    <head>

	    <spring:url value="/resources/estils/grp.css" var="grp_css" />
	    <link href="${grp_css}" rel="stylesheet" />
	    <spring:url value="/resources/imatges" var="imatges" />
	    
	    <spring:url value="/resources/js/jquery-3.3.1.js" var="grp_jquery" />
	    <script type="text/javascript" src="${grp_jquery}"></script>
	    
	    <spring:url value="/resources/estils/jquery-ui.css" var="jquery_ui_css" />
	    <link href="${jquery_ui_css}" rel="stylesheet" />

	    <spring:url value="/resources/js/jquery-ui.js" var="grp_jquery_ui" />
	    <script type="text/javascript" src="${grp_jquery_ui}"></script>
	    
	    <spring:url value="/resources/js/grp.js" var="grp_js" />
	    <script type="text/javascript" src="${grp_js}"></script>	    
	    	    
        <title>canviEstatUsuari.jsp</title>

    </head>

    <body>

	<table class="taulaExtCap">
        <tr> <td>

            <table class="taulaIntCapNomApl">
                <tr>
                    <td><div class="textTaulaNomAplicacio">GESTIÓ DE RECURSOS PESQUERS 2018</div></td>
                </tr>
            </table>
 
            <table class="taulaIntCapNav">
                <tr>
                  <td><div class="textTaulaNavegacio">MANTENIMENT DE USUARIS
                      <img src="${imatges}/separador_guia.png" style="vertical-align: -19% " height="18" width="18" />
                      CANVI DE ESTAT DEL USUARI</div>
                  </td>
                </tr>
            </table>

            <table class="taulaIntCapInfoSessio">
                <tr>
                    <td><div class="textTaulaInfoSessio">USUARI:&nbsp;<c:out value='${sessionScope["usuari"]}' /></div></td>
                    <c:url var="logout" value="/acces/logout" />
                    <td><a href="${logout}" class="boto">SORTIR</a></td>
                </tr>
            </table>

        </td></tr>
	</table>

	<div class="separadorTaulesExteriors"></div>


    <c:url var="guardarEstatUsuari" value="/administrador/guardarEstatUsuari"></c:url>
    
    <form:form action="${guardarEstatUsuari}" method="post" modelAttribute="formEstatUsuari">
    
    <input type="hidden" name="login" value="${usuari.login}">
    <input type="hidden" name="estatUsuari" value="${usuari.estatEnSistema}">

    <table class="taulaExtCos">
        
        <tr>
            <td>

            <table class="taulaGrisContornSimple taulaIntAltaModUsuari">
                
                
                <tr>

                  <td class="espaiColumnaAltaModUsuari"></td>

                   <td>
                       <div class="textNomCamps">IDENTIFICADOR DE USUARI</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" name="login" value="${usuari.login}" readonly disabled />
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">TIPUS DE USUARI</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" name="tipusUsuari" value="${usuari.tipusUsuari}" readonly disabled />
                       </div>
                   </td>
                   
                   <td>  
                       <div class="textNomCamps">ESTAT AL SISTEMA</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <select name="estatUsuariSel" class="ampladaSelect">
                               <c:forEach items="${opcionsEstatUsuari}" var="entry">
                                   <option value="${entry.key}" <c:if test="${entry.key eq usuari.estatEnSistema}"> selected="selected" </c:if>> 
                                       <c:out value="${entry.value}"/>
                                   </option>
                               </c:forEach>
                           </select>
                       </div>
                   </td>

                </tr>

                <tr>

                   <td class="espaiColumnaFormDadesUsuari"></td>

                   <td>
                       <div class="textNomCamps">DOCUMENT IDENTIFICATIU</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" name="docIdentificatiu" value="${empleat.docIdentificatiu}" readonly disabled />
                       </div>
                   </td>

                   <td>
                       <div class="textNomCamps">NOM I COGNOMS</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" name="nomComplet" value="${empleat.nom} ${empleat.cognom1} ${empleat.cognom2}" readonly disabled />
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">CORREU ELECTRÒNIC</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" name="eMail" value="${usuari.eMail}" readonly disabled />
                       </div>
                   </td>

                </tr>

                <tr>

                   <td class="espaiColumnaFormDadesUsuari"></td>

                   <td>
                       <div class="textNomCamps">ADREÇA</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" name="adreca" value="${empleat.adreca}" readonly disabled />
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">CIUTAT</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" name="ciutat" value="${empleat.ciutat}" readonly disabled />
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">PAÍS</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" name="pais" value="${empleat.pais}" readonly disabled />
                       </div>
                   </td>

                </tr>

              
            </table>
  

            </td>
        </tr>



        <%--   Botons inferiors --%>
        <tr>
            <td>
            <table class="taulaBotons">
                <tr>
                    <td><input type="button" name="guardar" value="GUARDAR" id="botoGuardarEstatUsuari" /></td>
                    <td><div class="separarBotons"></div></td>
                    <td><input type="button" name="cancelar" value="CANCEL·LAR" onclick="location.href='/GRP2018/menuAdministrador/mostrarMenu'"></td>                    
                </tr>
            </table>
            </td>
        </tr>

    </table>

    
    </form:form>

    </body>

</html>