<%-- consultaVaixell.jsp --%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>

<html>
    <head>

	    <spring:url value="/resources/estils/grp.css" var="grp_css" />
	    <link href="${grp_css}" rel="stylesheet" />
	    <spring:url value="/resources/imatges" var="imatges" />	    
        <title>consultaVaixell.jsp</title>

    </head>

    <body>

	<table class="taulaExtCap">
        <tr> <td>

            <table class="taulaIntCapNomApl">
                <tr>
                    <td><div class="textTaulaNomAplicacio">GESTIÓ DE RECURSOS PESQUERS 2018</div></td>
                </tr>
            </table>
 
            <table class="taulaIntCapNav">
                <tr>
                  <td><div class="textTaulaNavegacio">PLANIFICACIÓ
                      <img src="${imatges}/separador_guia.png" style="vertical-align: -19% " height="18" width="18" />
                      CONSULTA DE VAIXELL</div>
                  </td>
                </tr>
            </table>

            <table class="taulaIntCapInfoSessio">
                <tr>
                    <td><div class="textTaulaInfoSessio">USUARI:&nbsp;<c:out value='${sessionScope["usuari"]}' /></div></td>
                    <c:url var="logout" value="/acces/logout" />
                    <td><a href="${logout}" class="boto">SORTIR</a></td>
                </tr>
            </table>

        </td></tr>
	</table>

	<div class="separadorTaulesExteriors"></div>


    <c:url var="menuPlanificador" value="/menuPlanificador/mostrarMenu"></c:url>
    
    <form:form action="${menuPlanificador}" method="GET">

    <table class="taulaExtCos">
        
        <tr>
            <td>

            <table class="taulaGrisContornSimple taulaIntConsultaVaixell">
                
                <tr>

                   <td class="espaiColumnaConsultaVaixell"></td>
                   
                   <td>
                       <div class="textNomCamps">NOM DEL VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="nomVaixell" value="${vaixell.nomVaixell}" readonly disabled />
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">TIPUS DE VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="tipusVaixell" value="${vaixell.tipusVaixell}" readonly disabled />
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">ESLORA DEL VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="eslora" value="${vaixell.eslora}" readonly disabled />
                       </div>
                   </td>

                </tr>

                <tr>

                   <td class="espaiColumnaConsultaVaixell"></td>

                   <c:choose>
                      <c:when test="${vaixell.mollAssignat == null}"><c:set var="varMoll" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varMoll" scope="page" value = "${vaixell.mollAssignat}"/></c:otherwise>
                   </c:choose>

                   
                   <td>
                       <div class="textNomCamps">MOLL ASSIGNAT</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="moll" value="${varMoll}" readonly disabled />
                           
                       </div>
                   </td>

                   <c:choose>
                      <c:when test="${vaixell.areaAssignada == null}"><c:set var="varArea" scope="page" value = "No assignada"/></c:when>
                      <c:otherwise><c:set var="varArea" scope="page" value = "${vaixell.areaAssignada}"/></c:otherwise>
                   </c:choose>
                   
                   <td>
                       <div class="textNomCamps">ÀREA ASSIGNADA</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="area" value="${varArea}" readonly disabled />
                       </div>
                   </td>

                </tr>

                <tr>

                   <td class="espaiColumnaConsultaVaixell"></td>
                   
                   <c:choose>
                      <c:when test="${!tripulacioMap.containsKey('PATRO')}"><c:set var="varPatro" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varPatro" scope="page" value = "${tripulacioMap.get('PATRO')}"/></c:otherwise>
                   </c:choose>                   
                   
                   <td>
                       <div class="textNomCamps">PATRÓ</div> 
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="patro" value="${varPatro}" readonly disabled />
                       </div>
                   </td>
                   
                   <c:choose>
                      <c:when test="${!tripulacioMap.containsKey('MARINER_1')}"><c:set var="varMariner1" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varMariner1" scope="page" value = "${tripulacioMap.get('MARINER_1')}"/></c:otherwise>
                   </c:choose>        
                   
                   <td>
                       <div class="textNomCamps">MARINER-1</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="mariner1" value="${varMariner1}" readonly disabled />
                       </div>
                   </td>
                   
                   <c:choose>
                      <c:when test="${!tripulacioMap.containsKey('MARINER_2')}"><c:set var="varMariner2" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varMariner2" scope="page" value = "${tripulacioMap.get('MARINER_2')}"/></c:otherwise>
                   </c:choose>        
                   
                   <td>
                       <div class="textNomCamps">MARINER-2</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="mariner2" value="${varMariner2}" readonly disabled />
                       </div>
                   </td>

                </tr>

                <tr>

                   <td class="espaiColumnaConsultaVaixell"></td>

                   <c:choose>
                      <c:when test="${!tripulacioMap.containsKey('MARINER_3')}"><c:set var="varMariner3" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varMariner3" scope="page" value = "${tripulacioMap.get('MARINER_3')}"/></c:otherwise>
                   </c:choose>        

                   <td>
                       <div class="textNomCamps">MARINER-3</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="mariner3" value="${varMariner3}" readonly disabled />
                       </div>
                   </td>

                   <c:choose>
                      <c:when test="${!tripulacioMap.containsKey('MARINER_4')}"><c:set var="varMariner4" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varMariner4" scope="page" value = "${tripulacioMap.get('MARINER_4')}"/></c:otherwise>
                   </c:choose>        
                   
                   <td>
                       <div class="textNomCamps">MARINER-4</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="mariner4" value="${varMariner4}" readonly disabled />
                       </div>
                   </td>

                   <c:choose>
                      <c:when test="${!tripulacioMap.containsKey('MARINER_5')}"><c:set var="varMariner5" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varMariner5" scope="page" value = "${tripulacioMap.get('MARINER_5')}"/></c:otherwise>
                   </c:choose>        
                   
                   <td>
                       <div class="textNomCamps">MARINER-5</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsText" name="mariner5" value="${varMariner5}" readonly disabled />
                       </div>
                   </td>

                </tr>
                              
            </table>
  

            </td>
        </tr>



        <%--   Botons inferiors --%>
        <tr>
            <td>
            <table class="taulaBotons">
                <tr>
                    <td><input type="submit" name="tornarMenu" value="TORNAR AL MENÚ"/></td>
                </tr>
            </table>
            </td>
        </tr>

    </table>

    
    </form:form>

    </body>

</html>