<%-- seleccioUsuari.jsp --%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>

<html>
    <head>

	    <spring:url value="/resources/estils/grp.css" var="grp_css" />
	    <link href="${grp_css}" rel="stylesheet" />
	    <spring:url value="/resources/imatges" var="imatges" />
	    
	    <spring:url value="/resources/js/jquery-3.3.1.js" var="grp_jquery" />
	    <script type="text/javascript" src="${grp_jquery}"></script>
	    
	    <spring:url value="/resources/estils/jquery-ui.css" var="jquery_ui_css" />
	    <link href="${jquery_ui_css}" rel="stylesheet" />

	    <spring:url value="/resources/js/jquery-ui.js" var="grp_jquery_ui" />
	    <script type="text/javascript" src="${grp_jquery_ui}"></script>
	    
	    <spring:url value="/resources/js/grp.js" var="grp_js" />
	    <script type="text/javascript" src="${grp_js}"></script>	    
	    	    
        <title>seleccioUsuari.jsp</title>

    </head>

    <body>

	<table class="taulaExtCap">
        <tr> <td>

            <table class="taulaIntCapNomApl">
                <tr>
                    <td><div class="textTaulaNomAplicacio">GESTIÓ DE RECURSOS PESQUERS 2018</div></td>
                </tr>
            </table>

            <c:choose>
                <c:when test="${accio eq 'modificar'}"><c:set var="text_guia" value="SELECCIÓ DEL USUARI A MODIFICAR"/></c:when>
                <c:when test="${accio eq 'canviar_estat'}"><c:set var="text_guia" value="SELECCIÓ DEL USUARI PER CANVIAR-LI L'ESTAT"/></c:when>
                <c:when test="${accio eq 'consultar'}"><c:set var="text_guia" value="SELECCIÓ DEL USUARI A CONSULTAR"/></c:when>
            </c:choose>
 
            <table class="taulaIntCapNav">
                <tr>
                  <td><div class="textTaulaNavegacio">MANTENIMENT DE USUARIS
                      <img src="${imatges}/separador_guia.png" style="vertical-align: -19% " height="18" width="18" />
                      <c:out value="${text_guia}" /></div>
                  </td>
                </tr>
            </table>

            <table class="taulaIntCapInfoSessio">
                <tr>
                    <td><div class="textTaulaInfoSessio">USUARI:&nbsp;<c:out value='${sessionScope["usuari"]}' /></div></td>
                    <c:url var="logout" value="/acces/logout" />
                    <td><a href="${logout}" class="boto">SORTIR</a></td>
                </tr>
            </table>

        </td></tr>
	</table>

	<div class="separadorTaulesExteriors"></div>


    <c:url var="redireccio" value="${redireccio}" />
    
    <form:form action="${redireccio}" method="POST">

    <table class="taulaExtCos">

        <tr>
            <td>
            <div class="llistatAmbScroll">
            <table class="taulaGrisContornSimple taulaIntLlistat margesSeleccioUsuari">
                <tr>
                
                   <td class="espaiColumnaLlistatUsuaris"></td>
                                   
                   <td><div class="textTitolTaula alineacioEsq">IDENTIFICADOR DE USUARI</div></td>

                   <td><div class="textTitolTaula alineacioEsq">NOM I COGNOMS</div></td>

                   <td><div class="textTitolTaula alineacioEsq">TIPUS DE USUARI</div></td>

                   <td><div class="textTitolTaula alineacioEsq">ESTAT DEL USUARI</div></td>
                   
                   <td><div class="textTitolTaula alineacioEsq">SELECCIÓ</div></td>                   
                   
                </tr>
                
                <c:set var="primer" value="${'cert'}"/>
                <c:forEach var="usuari" items="${usuarisList}">

                <tr>
                   <td class="espaiColumnaLlistatUsuaris"></td>                
                
                   <td><div class="textTaula alineacioEsq"><c:out value="${usuari.login}" /></div></td>

                   <td><div class="textTaula alineacioEsq"><c:out value="${usuari.nomComplet}" /></div></td>

                   <td><div class="textTaula alineacioEsq"><c:out value="${usuari.tipusUsuari}" /></div></td>

                   <td><div class="textTaula alineacioEsq"><c:out value="${usuari.estatEnSistema}" /></div></td>
                   
                   <td><div class="textTaula alineacioEsq">
                      <input type="radio" class="seleccioVaixell" <c:if test="${primer=='cert'}"> checked="true" </c:if> name="login" value="${usuari.login}" />
                   </div></td>                   
                   
                </tr>
                
                <c:set var="primer" value="${'fals'}"/>
                </c:forEach>

            </table>
            </div>

            </td>
        </tr>



        <%--   Botons inferiors --%>
        <tr>
            <td>
            <table class="taulaBotons">
                <tr>
                
                  <c:choose>
                      <c:when test="${accio eq 'modificar'}">
                        <td><input type="submit" name="modificarUsuari" value="MODIFICAR USUARI"/></td>                      
                      </c:when>
                      
                      <c:when test="${accio eq 'canviar_estat'}">                      
                        <td><input type="submit" name="canviarEstatUsuari" value="CANVIAR L'ESTAT DEL USUARI"/></td>
                      </c:when>
                                                                    
                      <c:when test="${accio eq 'consultar'}">
                        <td><input type="submit" name="consultarUsuari" value="CONSULTAR USUARI"/></td>                      
                      </c:when>
                  </c:choose>
                                  
                  <td><div class="separarBotons"></div></td>  
                  <td><input type="button" name="tornarMenu" value="TORNAR AL MENÚ" onclick="location.href='/GRP2018/menuAdministrador/mostrarMenu'" /></td>
                    
                </tr>
            </table>
            </td>
        </tr>

    </table>

    
    </form:form>

    </body>

</html>