<%-- seleccioVaixell.jsp --%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>

<html>
    <head>

	    <spring:url value="/resources/estils/grp.css" var="grp_css" />
	    <link href="${grp_css}" rel="stylesheet" />
	    <spring:url value="/resources/imatges" var="imatges" />
	    
	    <spring:url value="/resources/js/jquery-3.3.1.js" var="grp_jquery" />
	    <script type="text/javascript" src="${grp_jquery}"></script>
	    
	    <spring:url value="/resources/estils/jquery-ui.css" var="jquery_ui_css" />
	    <link href="${jquery_ui_css}" rel="stylesheet" />

	    <spring:url value="/resources/js/jquery-ui.js" var="grp_jquery_ui" />
	    <script type="text/javascript" src="${grp_jquery_ui}"></script>
	    
	    <spring:url value="/resources/js/grp.js" var="grp_js" />
	    <script type="text/javascript" src="${grp_js}"></script>	    
	    	    
        <title>seleccioVaixell.jsp</title>

    </head>

    <body>

	<table class="taulaExtCap">
        <tr> <td>

            <table class="taulaIntCapNomApl">
                <tr>
                    <td><div class="textTaulaNomAplicacio">GESTIÓ DE RECURSOS PESQUERS 2018</div></td>
                </tr>
            </table>
 
            <c:choose>
                <c:when test="${accio eq 'assignarTrip'}"><c:set var="text_guia" value="SELECCIÓ DEL VAIXELL (GESTIÓ DE ASSIGNACIÓ DE TRIPULACIÓ A VAIXELL)"/></c:when>
                <c:when test="${accio eq 'assignarArea'}"><c:set var="text_guia" value="SELECCIÓ DEL VAIXELL (GESTIÓ DE ASSIGNACIÓ DE ÀREA A VAIXELL)"/></c:when>
                <c:when test="${accio eq 'assignarMoll'}"><c:set var="text_guia" value="SELECCIÓ DEL VAIXELL (GESTIÓ DE ASSIGNACIÓ DE MOLL A VAIXELL)"/></c:when>
                <c:when test="${accio eq 'consultarVaixell'}"><c:set var="text_guia" value="SELECCIÓ DEL VAIXELL A CONSULTAR"/></c:when>                
            </c:choose>
 
            <table class="taulaIntCapNav">
                <tr>
                  <td><div class="textTaulaNavegacio">PLANIFICACIÓ
                      <img src="${imatges}/separador_guia.png" style="vertical-align: -19% " height="18" width="18" />
                      <c:out value="${text_guia}" /></div>
                  </td>
                </tr>
            </table>

            <table class="taulaIntCapInfoSessio">
                <tr>
                    <td><div class="textTaulaInfoSessio">USUARI:&nbsp;<c:out value='${sessionScope["usuari"]}' /></div></td>
                    <c:url var="logout" value="/acces/logout" />
                    <td><a href="${logout}" class="boto">SORTIR</a></td>
                </tr>
            </table>

        </td></tr>
	</table>

	<div class="separadorTaulesExteriors"></div>


    <c:url var="redireccio" value="${redireccio}" />
    
    <form:form action="${redireccio}" method="POST">

    <table class="taulaExtCos">

        <tr>
            <td>
            <div class="llistatAmbScroll">
            <table class="taulaGrisContornSimple taulaIntLlistat margesSeleccioVaixell">
                <tr>
                
                   <td class="espaiColumnaLlistatVaixells"></td>
                                   
                   <td><div class="textTitolTaula alineacioEsq">NOM DEL VAIXELL</div></td>

                   <td><div class="textTitolTaula alineacioEsq">TIPUS DE VAIXELL</div></td>

                   <td><div class="textTitolTaula alineacioEsq margeColumnTaula">ESLORA</div></td>
                   
                   <td><div class="textTitolTaula alineacioEsq">MOLL</div></td>
                   
                   <td><div class="textTitolTaula alineacioEsq">ÀREA</div></td>
                   
                   <td><div class="textTitolTaula alineacioEsq">TRIPULACIÓ</div></td>
                   
                   <td><div class="textTitolTaula alineacioEsq">SELECCIÓ</div></td>                   

                </tr>

                <c:set var="primer" value="${'cert'}"/>
                <c:forEach var="vaixell" items="${vaixellsList}">

                <tr>
                
                   <td class="espaiColumnaLlistatVaixells"></td>                
                
                   <td><div class="textTaula alineacioEsq"><c:out value="${vaixell.nomVaixell}" /></div></td>

                   <td><div class="textTaula alineacioEsq"><c:out value="${vaixell.tipusVaixell}" /></div></td>

                   <td><div class="textTaula alineacioEsq"><c:out value="${vaixell.eslora}" /></div></td>
                   
                   <td><div class="textTaula alineacioEsq">
                      <c:choose><c:when test="${vaixell.mollAssignat == null}">No assignat</c:when><c:otherwise>${vaixell.mollAssignat}</c:otherwise></c:choose>                   
                   </div></td>
                   
                   <td><div class="textTaula alineacioEsq">
                      <c:choose><c:when test="${vaixell.areaAssignada == null}">No assignada</c:when><c:otherwise>${vaixell.areaAssignada}</c:otherwise></c:choose>                   
                   </div></td>
                   
                   <td><div class="textTaula alineacioEsq">
                      <c:choose><c:when test="${vaixell.tripAssignada}">Assignada</c:when><c:otherwise>No assignada</c:otherwise></c:choose>
                   </div></td>
                   
                   <td><div class="textTaula alineacioEsq">
                      <input type="radio" class="seleccioVaixell" <c:if test="${primer=='cert'}"> checked="true" </c:if> name="nomVaixell" value="${vaixell.nomVaixell}" />
                   </div></td>     

                </tr>
                
                <c:set var="primer" value="${'fals'}"/>
                </c:forEach>

            </table>
            </div>

            </td>
        </tr>



        <%--   Botons inferiors --%>
        <tr>
            <td>
            <table class="taulaBotons">
                <tr>


                  <c:choose>
                      <c:when test="${accio eq 'assignarTrip'}">
                        <td><input type="submit" name="assignarTrip" value="GESTIONAR ASSIGNACIÓ TRIPULACIÓ"/></td>                      
                      </c:when>
                      
                      <c:when test="${accio eq 'assignarArea'}">                      
                        <td><input type="submit" name="assignarArea" value="GESTIONAR ASSIGNACIÓ DE ÀREA"/></td>
                      </c:when>
                                                                    
                      <c:when test="${accio eq 'assignarMoll'}">
                        <td><input type="submit" name="assignarMoll" value="GESTIONAR ASSIGNACIÓ DE MOLL"/></td>                      
                      </c:when>
                      
                      <c:when test="${accio eq 'consultarVaixell'}">                      
                        <td><input type="submit" name="consultarVaixell" value="CONSULTAR VAIXELL"/></td>
                      </c:when>
                  </c:choose>
                  
                  <td><div class="separarBotons"></div></td>
                  <td><input type="button" name="tornarMenu" value="TORNAR AL MENÚ" onclick="location.href='/GRP2018/menuPlanificador/mostrarMenu'" /></td> 
                                        
                </tr>
            </table>
            </td>
        </tr>

    </table>

    
    </form:form>

    </body>

</html>