<%-- visualitzacioInfoVaixell.jsp --%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>

<html>
    <head>

	    <spring:url value="/resources/estils/grp.css" var="grp_css" />
	    <link href="${grp_css}" rel="stylesheet" />
	    <spring:url value="/resources/imatges" var="imatges" />	   
	    
	    <spring:url value="/resources/js/jquery-3.3.1.js" var="grp_jquery" />
	    <script type="text/javascript" src="${grp_jquery}"></script>
	    
	    <spring:url value="/resources/estils/jquery-ui.css" var="jquery_ui_css" />
	    <link href="${jquery_ui_css}" rel="stylesheet" />

	    <spring:url value="/resources/js/jquery-ui.js" var="grp_jquery_ui" />
	    <script type="text/javascript" src="${grp_jquery_ui}"></script>
	    
	    <spring:url value="/resources/js/grp.js" var="grp_js" />
	    <script type="text/javascript" src="${grp_js}"></script>		    
	     
        <title>visualitzacioInfoVaixell.jsp</title>

    </head>

    <body>

	<table class="taulaExtCap">
        <tr> <td>

            <table class="taulaIntCapNomApl">
                <tr>
                    <td><div class="textTaulaNomAplicacio">GESTIÓ DE RECURSOS PESQUERS 2018</div></td>
                </tr>
            </table>
 
            <table class="taulaIntCapNav">
                <tr>
                  <td><div class="textTaulaNavegacio">INFORMACIÓ DE LA JORNADA PESQUERA
                      <img src="${imatges}/separador_guia.png" style="vertical-align: -19% " height="18" width="18" />
                      INFORMACIÓ DEL VAIXELL</div>
                  </td>
                </tr>
            </table>

            <table class="taulaIntCapInfoSessio">
                <tr>
                    <td><div class="textTaulaInfoSessio">USUARI:&nbsp;<c:out value='${sessionScope["usuari"]}' /></div></td>
                    <c:url var="logout" value="/acces/logout" />
                    <td><a href="${logout}" class="boto">SORTIR</a></td>
                </tr>
            </table>

        </td></tr>
	</table>

	<div class="separadorTaulesExteriors"></div>


    <c:url var="menuTripulant" value="/menuTripulant/mostrarMenu"></c:url>
    
    <form:form action="${menuTripulant}" method="get">

    <table class="taulaExtCos">
        
        <tr>
            <td>

            <table border="0" class="taulaGrisContornSimple taulaIntVisualInfoVaixell">

                <tr>

                   <td class="espaiColumnaVisualInfoTrip"></td>
                   
                   <td>
                       <div class="textNomCamps">NOM DEL VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="nomVaixell" value="${vaixell.nomVaixell}" readonly disabled />
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">TIPUS DE VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="tipusVaixell" value="${vaixell.tipusVaixell}" readonly disabled />
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">ESLORA DEL VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="eslora" value="${vaixell.eslora}" readonly disabled />
                       </div>
                   </td>

                   <td class="columnaAjuda">
                       <img src="${imatges}/icona_ajuda.png" class="iconaAjuda" onclick="obrirAjuda('ajudaInfoVaixell')" alt="Premi per accedir a la ajuda" title="Premi per accedir a la ajuda"/>
                   </td>

                </tr>

                <tr>

                   <td class="espaiColumnaVisualInfoTrip"></td>
                   
                   <td>
                       <div class="textNomCamps">NOM DEL PORT</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="nomPort" value="${moll.nomPort}" readonly disabled />
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">MOLL D'ORIGEN DEL VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="mollOrigen" value="${moll.codiMoll}" readonly disabled />
                       </div>
                   </td>
                   
                   <td>
                       <div class="textNomCamps">MOLL DE DESTÍ DEL VAIXELL</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="mollDesti" value="${moll.codiMoll}" readonly disabled />
                       </div>
                   </td>

                </tr>

                <tr>

                   <td class="espaiColumnaVisualInfoTrip"></td>

                   <td>
                       <div class="textNomCamps">ÀREA DE PESCA</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="area" value="${area.codiArea}" readonly disabled />
                       </div>
                   </td>

                   <c:choose>
                      <c:when test="${area.idArea == -1}"><c:set var="varExtensio" scope="page" value = "No assignada"/></c:when>
                      <c:otherwise><c:set var="varExtensio" scope="page" value = "${area.extensio}${unitatsExtensio}"/></c:otherwise>
                   </c:choose>                   

                   <td>
                       <div class="textNomCamps">EXTENSIÓ DE L'ÀREA DE PESCA</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="extensio" value="${varExtensio}" readonly disabled />
                       </div>
                   </td>

                   <c:set var="latitud" scope="page" value = "Lat: ${area.localitzacioLatitud}"/>
                   <c:set var="longitud" scope="page" value = "Lon: ${area.localitzacioLongitud}"/>
                   
                   <c:choose>
                      <c:when test="${area.idArea == -1}"><c:set var="varUbicacio" scope="page" value = "No assignada"/></c:when>
                      <c:otherwise><c:set var="varUbicacio" scope="page" value = "${latitud}    ${longitud}"/></c:otherwise>
                   </c:choose>                   

                   <td>
                       <div class="textNomCamps">UBICACIÓ DE L'ÀREA DE PESCA</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="ubicacio" value="${varUbicacio}" readonly disabled />
                       </div>
                   </td>

                </tr>
                
                <tr>

                   <td class="espaiColumnaVisualInfoTrip"></td>
                   
                   <c:choose>
                      <c:when test="${!tripulacioMap.containsKey('PATRO')}"><c:set var="varPatro" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varPatro" scope="page" value = "${tripulacioMap.get('PATRO')}"/></c:otherwise>
                   </c:choose>
                   
                   <td>
                       <div class="textNomCamps">PATRÓ</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="patro" value="${varPatro}" readonly disabled />
                       </div>
                   </td>
                   
                   <c:choose>
                      <c:when test="${!tripulacioMap.containsKey('MARINER_1')}"><c:set var="varMariner1" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varMariner1" scope="page" value = "${tripulacioMap.get('MARINER_1')}"/></c:otherwise>
                   </c:choose>        
                   
                   <td>
                       <div class="textNomCamps">MARINER-1</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="mariner1" value="${varMariner1}" readonly disabled />
                       </div>
                   </td>

                   <c:choose>
                      <c:when test="${!tripulacioMap.containsKey('MARINER_2')}"><c:set var="varMariner2" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varMariner2" scope="page" value = "${tripulacioMap.get('MARINER_2')}"/></c:otherwise>
                   </c:choose>        
                   
                   <td>
                       <div class="textNomCamps">MARINER-2</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="mariner2" value="${varMariner2}" readonly disabled />
                       </div>
                   </td>

                </tr>

                <tr>

                   <td class="espaiColumnaVisualInfoTrip"></td>

                   <c:choose>
                      <c:when test="${!tripulacioMap.containsKey('MARINER_3')}"><c:set var="varMariner3" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varMariner3" scope="page" value = "${tripulacioMap.get('MARINER_3')}"/></c:otherwise>
                   </c:choose>        
                   
                   <td>
                       <div class="textNomCamps">MARINER-3</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="mariner3" value="${varMariner3}" readonly disabled />
                       </div>
                   </td>

                   <c:choose>
                      <c:when test="${!tripulacioMap.containsKey('MARINER_4')}"><c:set var="varMariner4" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varMariner4" scope="page" value = "${tripulacioMap.get('MARINER_4')}"/></c:otherwise>
                   </c:choose>        
                   
                   <td>
                       <div class="textNomCamps">MARINER-4</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="mariner4" value="${varMariner4}" readonly disabled />
                       </div>
                   </td>

                   <c:choose>
                      <c:when test="${!tripulacioMap.containsKey('MARINER_5')}"><c:set var="varMariner5" scope="page" value = "No assignat"/></c:when>
                      <c:otherwise><c:set var="varMariner5" scope="page" value = "${tripulacioMap.get('MARINER_5')}"/></c:otherwise>
                   </c:choose>        
                   
                   <td>
                       <div class="textNomCamps">MARINER-5</div>
                       <div class="alineacioEsq margeCampsFormulari">
                           <input type="text" class="longCampsTextInfoTrip" name="mariner5" value="${varMariner5}" readonly disabled />
                       </div>
                   </td>

                </tr>
                   
            </table>
  

            </td>
        </tr>



        <%--   Botons inferiors --%>
        <tr>
            <td>
            <table class="taulaBotons">
                <tr>
                    <td><input type="submit" name="tornarMenu" value="TORNAR AL MENÚ"/></td>
                </tr>
            </table>
            </td>
        </tr>

    </table>

    
    </form:form>

    </body>

</html>