/* Funció per validar els camps a la vista d'accés a l'aplicació */
function validarCampsFormAcces() {

	var login = $("#formAcces").find('input[name=login]').val();
	var contrasenya = $("#formAcces").find('input[name=contrasenya]').val();	

	if(!login.trim()) {
		var missatge = "<br><b>El camp identificador d'usuari és obligatori</b>";		
		mostrarMissatge("MISSATGE DE ERROR", missatge, 455, 200, "ACCEPTAR");	

	} else if(!contrasenya.trim()) {
		var missatge = "<br><b>El camp contrasenya és obligatori</b>";		
		mostrarMissatge("MISSATGE DE ERROR", missatge, 455, 200, "ACCEPTAR");		

	} else {
		$("#formAcces").submit();
	}
}


/* Funció per validar els camps a la vista on es pot canviar l'estat de l'usuari */
function validarCampsFormEstatUsuari() {

	var estatUsuari = $("#formEstatUsuari").find('input[name=estatUsuari]').val();	
	var estatUsuariSel = $("#formEstatUsuari").find('select[name=estatUsuariSel]').val();
	
	if(estatUsuari == estatUsuariSel) {
		var missatge = "<br><b>El estat de usuari ha de ser diferent al estat actual</b>";		
		mostrarMissatge("MISSATGE DE INFORMACIÓ", missatge, 455, 200, "ACCEPTAR");	

	} else {
		$("#formEstatUsuari").submit();
	}
}


/* Funció per validar els camps a la vista on es pot modificar l'usuari */
function validarCampsFormModUsuari() {

	var login = $("#formModUsuari").find('input[name=login]').val();
	var contrasenya = $("#formModUsuari").find('input[name=contrasenya]').val();
	var eMail = $("#formModUsuari").find('input[name=eMail]').val();	
	
	if(!login.trim()) {
		var missatge = "<br><b>El camp identificador d'usuari és obligatori</b>";		
		mostrarMissatge("MISSATGE DE ERROR", missatge, 455, 200, "ACCEPTAR");	

	} else if(!contrasenya.trim()) {
		var missatge = "<br><b>El camp contrasenya és obligatori</b>";		
		mostrarMissatge("MISSATGE DE ERROR", missatge, 455, 200, "ACCEPTAR");	
		
	} else if(!validarContrasenya(contrasenya)) {
		
		mostrarMissatgeFormatContrasenya();

	} else if(eMail && !validarCorreuElectronic(eMail)) {
		var missatge = "<br><b>El format del correu electrònic és incorrecte</b>";		
		mostrarMissatge("MISSATGE DE ERROR", missatge, 455, 200, "ACCEPTAR");		

	} else {
		$("#formModUsuari").submit();
	}
}


/* Funció per validar els camps a la vista on es pot donar d'alta un usuari */
function validarCampsFormAltaUsuari() {

	var login = $("#formAltaUsuari").find('input[name=login]').val();
	var contrasenya = $("#formAltaUsuari").find('input[name=contrasenya]').val();
	var eMail = $("#formAltaUsuari").find('input[name=eMail]').val();	
	
	if(!login.trim()) {
		var missatge = "<br><b>El camp identificador d'usuari és obligatori</b>";		
		mostrarMissatge("MISSATGE DE ERROR", missatge, 455, 200, "ACCEPTAR");	

	} else if(!contrasenya.trim()) {
		var missatge = "<br><b>El camp contrasenya és obligatori</b>";		
		mostrarMissatge("MISSATGE DE ERROR", missatge, 455, 200, "ACCEPTAR");		

	} else if(!validarContrasenya(contrasenya)) {
		
		mostrarMissatgeFormatContrasenya();
		
	} else if(eMail && !validarCorreuElectronic(eMail)) {
		var missatge = "<br><b>El format del correu electrònic és incorrecte</b>";		
		mostrarMissatge("MISSATGE DE ERROR", missatge, 455, 200, "ACCEPTAR");		

	} else {
		$("#formAltaUsuari").submit();
	}
}


/* Funció utilitzada a la vista d'assignació d'àrea a vaixell, i que implementa el comportament de l'assignació d'àrea a vaixell */
function assignarAreaVaixell() {
	
	var areesDisponiblesSel = $("#formAssignarAreaVaixell").find('select[name=areesDisponiblesSel]');
	var areaAssignada = $("#formAssignarAreaVaixell").find('input[name=areaAssigVaixell]');
	var idAreaAssignada = $("#formAssignarAreaVaixell").find('input[name=idAreaAssigVaixell]');

	//Afegir l'area inicial dins del select d'arees disponibles.
	if(idAreaAssignada.val() != "-1"){	
		var areaAssigAnterior = areaAssignada.val();
		var idAreaAssigAnterior = idAreaAssignada.val();
		areesDisponiblesSel.append("<option value='" + idAreaAssigAnterior + "'>" + areaAssigAnterior + "</option>");
	}
	
	//Afegir l'area seleccionada per l'usuari dins dels camps areaAssigVaixell i idAreaAssigVaixell.
	idAreaAssignada.val(areesDisponiblesSel.val());
	areaAssignada.val(areesDisponiblesSel.find("option:selected").text().trim());
	
	//Treure l'area seleccionada per l'usuari de dins del select d'arees disponibles.
	areesDisponiblesSel.children('option:selected').remove();
	
	//Ordenar les opcions del select.
	var options = areesDisponiblesSel.find('option');
	ordenarOpcionsSelect(areesDisponiblesSel, options)
}


/* Funció utilitzada a la vista d'assignació d'àrea a vaixell, i que implementa el comportament de desfer l'assignació d'àrea a vaixell */
function treureAreaVaixell() {

	var areaAssignada = $("#formAssignarAreaVaixell").find('input[name=areaAssigVaixell]');
	var idAreaAssignada = $("#formAssignarAreaVaixell").find('input[name=idAreaAssigVaixell]');
	
	if(idAreaAssignada.val() != "-1"){
		
		var areesDisponiblesSel = $("#formAssignarAreaVaixell").find('select[name=areesDisponiblesSel]');
		
		//L'àrea que s'ha de treure s'afegeix a dins del select d'arees disponibles.
		areesDisponiblesSel.append("<option value='" + idAreaAssignada.val() + "'>" + areaAssignada.val() + "</option>");
		
		//Treure l'àrea de dins del camp areaAssigVaixell. 
		areaAssignada.val("No assignada");
		idAreaAssignada.val("-1");
		
		//Ordenar les opcions del select
		var options = areesDisponiblesSel.find('option');
		ordenarOpcionsSelect(areesDisponiblesSel, options)
	}
}


/* Funció per validar els camps a la vista d'assignació d'àrea a vaixell. */
function validarCampsFormAssigAreaVaixell() {

	var idAreaAssigVaixellBD = $("#formAssignarAreaVaixell").find('input[name=idAreaAssigVaixellBD]').val();
	var idAreaAssignada = $("#formAssignarAreaVaixell").find('input[name=idAreaAssigVaixell]').val();

	if(idAreaAssignada == idAreaAssigVaixellBD) {

		if(idAreaAssignada != "-1"){
			var missatge = "<br><b>No s'han detectat canvis per a guardar a la BD</b><br><br><b>No es pot assignar una àrea ja assignada al vaixell</b><br>";
			mostrarMissatge("MISSATGE DE INFORMACIÓ", missatge, 455, 200, "ACCEPTAR");			
		} else {
			var missatge = "<br><b>No s'han detectat canvis per a guardar a la BD</b><br><br><b>Actualment el vaixell no té àrea assignada</b><br>";
			mostrarMissatge("MISSATGE DE INFORMACIÓ", missatge, 455, 200, "ACCEPTAR");			
		}

	} else {
		$("#formAssignarAreaVaixell").submit();
	}
}


/* Funció utilitzada a la vista d'assignació de moll a vaixell, i que implementa el comportament de l'assignació de moll a vaixell */
function assignarMollVaixell() {
	
	var mollsDisponiblesSel = $("#formAssignarMollVaixell").find('select[name=mollsDisponiblesSel]');
	var mollAssignat = $("#formAssignarMollVaixell").find('input[name=mollAssigVaixell]');
	var idMollAssignat = $("#formAssignarMollVaixell").find('input[name=idMollAssigVaixell]');

	//Afegir el moll inicial dins del select de molls disponibles.
	if(idMollAssignat.val() != "-1"){	
		var mollAssigAnterior = mollAssignat.val();
		var idMollAssigAnterior = idMollAssignat.val();
		mollsDisponiblesSel.append("<option value='" + idMollAssigAnterior + "'>" + mollAssigAnterior + "</option>");
	}
	
	//Afegir el moll seleccionat per l'usuari dins dels camps mollAssigVaixell i idMollAssigVaixell.
	idMollAssignat.val(mollsDisponiblesSel.val());
	mollAssignat.val(mollsDisponiblesSel.find("option:selected").text().trim());
	
	//Treure el moll seleccionat per l'usuari de dins del select de molls disponibles.
	mollsDisponiblesSel.children('option:selected').remove();
	
	//Ordenar les opcions del select.
	var options = mollsDisponiblesSel.find('option');
	ordenarOpcionsSelect(mollsDisponiblesSel, options)
}


/* Funció utilitzada a la vista d'assignació de moll a vaixell, i que implementa el comportament de desfer l'assignació de moll a vaixell */
function treureMollVaixell() {

	var mollAssignada = $("#formAssignarMollVaixell").find('input[name=mollAssigVaixell]');
	var idMollAssignat = $("#formAssignarMollVaixell").find('input[name=idMollAssigVaixell]');
	
	if(idMollAssignat.val() != "-1"){
		
		var mollsDisponiblesSel = $("#formAssignarMollVaixell").find('select[name=mollsDisponiblesSel]');
		
		//El moll que s'ha de treure s'afegeix a dins del select de molls disponibles.
		mollsDisponiblesSel.append("<option value='" + idMollAssignat.val() + "'>" + mollAssignada.val() + "</option>");
		
		//Treure el moll de dins del camp mollAssigVaixell. 
		mollAssignada.val("No assignat");
		idMollAssignat.val("-1");
		
		//Ordenar les opcions del select
		var options = mollsDisponiblesSel.find('option');
		ordenarOpcionsSelect(mollsDisponiblesSel, options)
	}
}


/* Funció per validar els camps a la vista d'assignació de moll a vaixell. */
function validarCampsFormAssigMollVaixell() {

	var idMollAssigVaixellBD = $("#formAssignarMollVaixell").find('input[name=idMollAssigVaixellBD]').val();
	var idMollAssignat = $("#formAssignarMollVaixell").find('input[name=idMollAssigVaixell]').val();

	if(idMollAssignat == idMollAssigVaixellBD) {

		if(idMollAssignat != "-1"){
			var missatge = "<br><b>No s'han detectat canvis per a guardar a la BD</b><br><br><b>No es pot assignar un moll ja assignat al vaixell</b><br>";
			mostrarMissatge("MISSATGE DE INFORMACIÓ", missatge, 455, 200, "ACCEPTAR");			
		} else {
			var missatge = "<br><b>No s'han detectat canvis per a guardar a la BD</b><br><br><b>Actualment el vaixell no té moll assignat</b><br>";
			mostrarMissatge("MISSATGE DE INFORMACIÓ", missatge, 455, 200, "ACCEPTAR");			
		}

	} else {
		$("#formAssignarMollVaixell").submit();
	}
}


/* Funció utilitzada per seleccionar els valors per defecte en els components visuals de tipus select a la vista de gestió d'assignació/baixa de tripulació a vaixell. */
function seleccioPerDefecte() {

	var formulari = $("#formAssignarTripVaixell");
	
	//Només es realitza en la vista on es requereix.
	if(formulari.length != 0){
		if(formulari.find('select[name=patroSel]').val() == null) formulari.find('select[name=patroSel]').val("-1");
		if(formulari.find('select[name=mariner1Sel]').val() == null) formulari.find('select[name=mariner1Sel]').val("-1");		
		if(formulari.find('select[name=mariner2Sel]').val() == null) formulari.find('select[name=mariner2Sel]').val("-1");		
		if(formulari.find('select[name=mariner3Sel]').val() == null) formulari.find('select[name=mariner3Sel]').val("-1");		
		if(formulari.find('select[name=mariner4Sel]').val() == null) formulari.find('select[name=mariner4Sel]').val("-1");		
		if(formulari.find('select[name=mariner5Sel]').val() == null) formulari.find('select[name=mariner5Sel]').val("-1");
	}
}


/* Funció utilitzada en la validació de la tripulació, i que permet comparar dos tripulants i mostrar un missatge en cas que siguin la mateixa persona. */
function compararCampsTripulacio(trip1, trip2, tipusTrip1, tipusTrip2){
	
	if(trip1 == trip2) {
		
		mostrarMissatge("MISSATGE DE ERROR", "<br><br><b>El " + tipusTrip1 + " i el " + tipusTrip2 + " no pot ser la mateixa persona</b>", 470, 220, "ACCEPTAR");
		
		return true;
		
	} else {
		
		return false;
	}
}


/* Funció utilitzada en la validació de la tripulació, i que permet detectar si s'han produït canvis respecte a la versió de la tripulació guardada a la Base de Dades. */
function canvisAssigTripVaixell(patroSel, mariner1Sel, mariner2Sel, mariner3Sel, mariner4Sel, mariner5Sel) {

	var patro = $("#patroBD").val();       var mariner1 = $("#mariner1BD").val(); var mariner2 = $("#mariner2BD").val(); 
	var mariner3 = $("#mariner3BD").val(); var mariner4 = $("#mariner4BD").val(); var mariner5 = $("#mariner5BD").val();	
	
	if(patroSel == patro && mariner1Sel == mariner1 && mariner2Sel == mariner2 && mariner3Sel == mariner3 && mariner4Sel == mariner4 && mariner5Sel == mariner5) {
		
		var missatge = "<br><b>No s'han detectat canvis per a guardar a la BD</b><br><br><b>No es pot assignar una tripulació ja assignada al vaixell</b><br>";
		mostrarMissatge("MISSATGE DE INFORMACIÓ", missatge, 465, 220, "ACCEPTAR");
		
		return false;
		
	} else {
		
		return true;
	}
}


/* Funció per validar els camps a la vista de gestió d'assignació/baixa de tripulació a vaixell. */
function validarCampsFormAssigTripVaixell() {

	var formulari = $("#formAssignarTripVaixell");
	var patroSel = formulari.find('select[name=patroSel]').val(); 
	var mariner1Sel = formulari.find('select[name=mariner1Sel]').val();	
	var mariner2Sel = formulari.find('select[name=mariner2Sel]').val();	
	var mariner3Sel = formulari.find('select[name=mariner3Sel]').val();	
	var mariner4Sel = formulari.find('select[name=mariner4Sel]').val();	
	var mariner5Sel = formulari.find('select[name=mariner5Sel]').val();
	
	if(patroSel == "-1" || mariner1Sel == "-1" || mariner2Sel == "-1" || mariner3Sel == "-1" || mariner4Sel == "-1" || mariner5Sel == "-1") {
		
		var campsRequerits ="";
		
		if(patroSel == "-1") campsRequerits = "<br>Patró";
		if(mariner1Sel == "-1") campsRequerits += "<br>Mariner-1";
		if(mariner2Sel == "-1") campsRequerits += "<br>Mariner-2";
		if(mariner3Sel == "-1") campsRequerits += "<br>Mariner-3";
		if(mariner4Sel == "-1") campsRequerits += "<br>Mariner-4";
		if(mariner5Sel == "-1") campsRequerits += "<br>Mariner-5";
		
		var missatge = "<br><b>Els següents camps són obligatoris:</b><br><b> " + campsRequerits + "</b><br>";
		mostrarMissatge("MISSATGE DE ERROR", missatge, 455, 290, "ACCEPTAR");	

	} else {
		//Validem que no s'hagi escollit més d'un cop el mateix mariner. 
		if(compararCampsTripulacio(mariner1Sel, mariner2Sel, "Mariner 1", "Mariner 2" )) return;
		if(compararCampsTripulacio(mariner1Sel, mariner3Sel, "Mariner 1", "Mariner 3" )) return;		
		if(compararCampsTripulacio(mariner1Sel, mariner4Sel, "Mariner 1", "Mariner 4" )) return;		
		if(compararCampsTripulacio(mariner1Sel, mariner5Sel, "Mariner 1", "Mariner 5" )) return;		
		if(compararCampsTripulacio(mariner2Sel, mariner3Sel, "Mariner 2", "Mariner 3" )) return;		
		if(compararCampsTripulacio(mariner2Sel, mariner4Sel, "Mariner 2", "Mariner 4" )) return;		
		if(compararCampsTripulacio(mariner2Sel, mariner5Sel, "Mariner 2", "Mariner 5" )) return;		
		if(compararCampsTripulacio(mariner3Sel, mariner4Sel, "Mariner 3", "Mariner 4" )) return;		
		if(compararCampsTripulacio(mariner3Sel, mariner5Sel, "Mariner 3", "Mariner 5" )) return;		
		if(compararCampsTripulacio(mariner4Sel, mariner5Sel, "Mariner 4", "Mariner 5" )) return;		

		//Validem si han hagut canvis respecte a la versió guardada dins de la Base de Dades.
		if(!canvisAssigTripVaixell(patroSel, mariner1Sel, mariner2Sel, mariner3Sel, mariner4Sel, mariner5Sel)) return;
		
		//Totes les validacions superades, es pot enviar el formulari al servidor. 
		$("#formAssignarTripVaixell").submit();		 
	}
}


/* Funció per validar els camps abans de donar de baixa una tripulació, i que és utilitzada a la vista de gestió d'assignació/baixa de tripulació a vaixell. */
function validarCampsFormBaixaTripulacio() {

	var patro = $("#patroBD").val();       var mariner1 = $("#mariner1BD").val(); var mariner2 = $("#mariner2BD").val(); 
	var mariner3 = $("#mariner3BD").val(); var mariner4 = $("#mariner4BD").val(); var mariner5 = $("#mariner5BD").val();		
	
	if(patro == "" && mariner1 == "" && mariner2 == "" && mariner3 == "" && mariner4 == "" && mariner5 == "") {
		
		var missatge = "<br><b>No es pot donar de baixa la tripulació</b><br>";
		missatge += "<br><b>Motiu: el vaixell no té tripulació assignada a la BD</b><br>";
		mostrarMissatge("MISSATGE DE INFORMACIÓ", missatge, 465, 220, "ACCEPTAR");
		
	} else {

		var idVaixell = $("#formAssignarTripVaixell").find('input[name=idVaixell]').val();
		var urlAccio = "/GRP2018/planificador/baixaTripulacio?idVaixell=" + idVaixell;
		var missatge = "<br><b>Estar segur que vol donar de baixa la tripulació</b>";		
		mostrarMissatgeConfirmacio("MISSATGE DE CONFIRMACIÓ", missatge, 455, 200, "SI", "NO", urlAccio);
	}
}


/* Funció per validar els camps a la vista de canvi de contrasenya. */
function validarCampsFormCanviContrasenya() {

	var contrasenyaActual = $("#formCanviContrasenya").find('input[name=contrasenyaActual]').val();
	var contrasenyaNova = $("#formCanviContrasenya").find('input[name=contrasenyaNova]').val();
	var contrasenyaNovaRepeticio = $("#formCanviContrasenya").find('input[name=contrasenyaNovaRepeticio]').val();	
	
	if(!contrasenyaActual.trim()) {
		var missatge = "<br><b>El camp contrasenya actual és obligatori</b>";		
		mostrarMissatge("MISSATGE DE ERROR", missatge, 345, 200, "ACCEPTAR");	

	} else if(!contrasenyaNova.trim()) {
		var missatge = "<br><b>El camp contrasenya nova és obligatori</b>";		
		mostrarMissatge("MISSATGE DE ERROR", missatge, 345, 200, "ACCEPTAR");	

	} else if(!contrasenyaNovaRepeticio.trim()) {
		var missatge = "<br><b>El camp contrasenya nova (repetició) és obligatori</b>";		
		mostrarMissatge("MISSATGE DE ERROR", missatge, 420, 200, "ACCEPTAR");
		
	} else if(contrasenyaActual == contrasenyaNova) {
		var missatge = "<br><b>La contrasenya nova ha de ser diferent a la contrasenya actual</b>";		
		mostrarMissatge("MISSATGE DE ERROR", missatge, 510, 205, "ACCEPTAR");	

	} else if(contrasenyaNova != contrasenyaNovaRepeticio) {
		var missatge = "<br><b>Els camps contrasenya nova i la seva repetició han de coincidir</b>";		
		mostrarMissatge("MISSATGE DE ERROR", missatge, 517, 205, "ACCEPTAR");

	} else if(!validarContrasenya(contrasenyaNova)) {
		
		mostrarMissatgeFormatContrasenya();
		
	} else {
		$("#formCanviContrasenya").submit();
	}
}


/* Funció que permet reutilitzar el mateix missatge amb el mateix format (dimensions, etc..), en diverses vistes de l'aplicacó. */
function mostrarMissatgeFormatContrasenya() {

	var missatge = "<br><b>La contrasenya nova no compleix el format requerit:</b><br>"
                 + "<br><b>- La contrasenya ha de tenir un mínim de 8 caràcters.</b>"
                 + "<br><b>- Els 8 caràcters han de ser lletres o números, no s'accepten símbols.</b>"
                 + "<br><b>- Com a mínim, un dels caràcters ha d'estar escrit en majúscules.</b>"
                 + "<br><b>- Com a mínim, un dels caràcters ha d'estar escrit en minúscules.</b>"
                 + "<br><b>- Com a mínim, un dels caràcters ha de ser un número.</b>";
	
	mostrarMissatge("MISSATGE DE ERROR", missatge, 580, 300, "ACCEPTAR");	
}


/* Funció utilitzada per odernar alfabèticament les opcions dins d'un select. */
function ordenarOpcionsSelect(select, options) {
	
	options.sort(function(a,b) { 
		if (a.text > b.text) return 1; 
		if (a.text < b.text) return -1; 
		return 0 
	})
	
    select.empty().append(options);
	select.prop("selectedIndex", 0);
}


/* Funció per gestionar la redirecció, a la vista que s'hagi de tornar, quan s'accepta el missatge d'error. */
function acceptarMissatgeError() {

	var formulari = $("#formMissatgeError");
	var accio = formulari.find('input[name=accio]').val(); 
    
	//Si s'ha especificat una vista en concret on s'hagi de tornar.
    if(accio) {
    	formulari.submit();
    //En la resta de casos es torna a la pàgina anterior.	
    } else {
    	window.history.go(-1);
    }	
}


/* Funció utilitzada per obrir una pàgina estàtica (html) amb l'ajuda de la vista corresponent. */
function obrirAjuda(pagina) {

	var url = "/GRP2018/resources/html/" + pagina + ".html";
	
	window.open(url, "_blank", "toolbar=no,scrollbars=yes,resizable=no,top=140,left=450,width=700,height=620");
}


/* Funció que permet mostrar un missatge (d'informació, d'error, etc..) a l'usuari. */
function mostrarMissatge(titol, missatge, amplada, alcada, textBoto) {

	$("<div></div>").dialog({
		modal: true,
		autoOpen: true,
    	title: titol,
		width: amplada,
		height: alcada,
		open: function(){$(this).html(missatge);},
		buttons: [{ text: textBoto, click: function() {$( this ).dialog( "close" );} }]
	});		

}


/* Funció que permet mostrar un missatge de confirmació d'una acció a l'usuari, permetent a l'usuari acceptar o cancel·lar l'acció. */
function mostrarMissatgeConfirmacio(titol, missatge, amplada, alcada, textBoto1, textBoto2, urlAccio) {

	$("<div></div>").dialog({
		modal: true,
		autoOpen: true,
    	title: titol,
		width: amplada,
		height: alcada,
		open: function(){$(this).html(missatge);},
		buttons: [{ text: textBoto1, click: function() {location.href=urlAccio;} },
			      { text: textBoto2, click: function() {$( this ).dialog( "close" );} }]
	});		

}


/* Funció que permet validar el format d'una direcció de correu electrònica (eMail). */
function validarCorreuElectronic(eMail) {

	var pattern = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;

    if(!pattern.test(eMail)) {
        return false;
    } else {
        return true;
    }	
}


/* Funció que permet validar el format de la contrasenya. */
function validarContrasenya(contrasenya) {

	var pattern = /^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])[0-9a-zA-Z]{8,}$/;

    if(!pattern.test(contrasenya)) {
        return false;
    } else {
        return true;
    }
}	


/* Executa la funció un cop el model de objecte de document (DOM) estigui preparat per executar el codi JavaScript. */
$(document).ready(function() {

	$("#botoEntrarAcces").click(function(){ validarCampsFormAcces(); });
	
	$("#botoCercarUsuari").click(function(){ validarCampsFormCercarUsuari(); });
	
	$("#botoGuardarEstatUsuari").click(function(){ validarCampsFormEstatUsuari(); });
	
	$("#botoGuardarModUsuari").click(function(){ validarCampsFormModUsuari(); });
	
	$("#botoGuardarAltaUsuari").click(function(){ validarCampsFormAltaUsuari(); });
	
	$("#botoCercarVaixell").click(function(){ validarCampsFormCercarVaixell(); });
	
	$("#botoAssignarArea").click(function(){ assignarAreaVaixell(); });
	
	$("#botoTreureArea").click(function(){ treureAreaVaixell(); });
	
	$("#botoGuardarAssigArea").click(function(){ validarCampsFormAssigAreaVaixell(); });
	
	$("#botoAssignarMoll").click(function(){ assignarMollVaixell(); });
	
	$("#botoTreureMoll").click(function(){ treureMollVaixell(); });
	
	$("#botoGuardarAssigMoll").click(function(){ validarCampsFormAssigMollVaixell(); });
	
	$("#botoGuardarAssigTrip").click(function(){ validarCampsFormAssigTripVaixell(); });	
	
	$("#botoBaixaTrip").click(function(){ validarCampsFormBaixaTripulacio(); });	
	
	seleccioPerDefecte();
	
	$("#botoGuardarCanviContrasenya").click(function(){ validarCampsFormCanviContrasenya(); });	
	
	$("#botoAcceptarMissatgeError").click(function(){ acceptarMissatgeError(); });	
	
// Fi de document ready
});
