package edu.uoc.grp.controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;


/**
 * Classe ControladorMenuTripulant.
 * 
 * Classe de tipus controlador encarregada de gestionar les peticions i les respostes relacionades amb les opcions de men del tripulant. 
 *
 * @version 1.0; java version "1.8.0";
 */
@Controller
@RequestMapping("/menuTripulant") 
public class ControladorMenuTripulant {

	private static final Logger LOGGER = LogManager.getLogger(ControladorMenuTripulant.class.getName());
    
    
	@GetMapping("/mostrarMenu")
    public String mostrarMenu(Model model) {

		LOGGER.info("mostrarMenu");
		
		return "menuTripulant";
    }

	
	@GetMapping("/visualitzacioInfoTripulant")
    public String visualitzacioInfoTripulant(Model model) {

		LOGGER.info("visualitzacioInfoTripulant");

		return "redirect:/tripulant/visualitzacioInfoTripulant";
    }
	
	
	@GetMapping("/visualitzacioInfoVaixell")
    public String visualitzacioInfoVaixell(Model model) {

		LOGGER.info("visualitzacioInfoVaixell");

		return "redirect:/tripulant/visualitzacioInfoVaixell";		
    }
	
	
	@GetMapping("/canviContrasenya")
    public String canviContrasenya(Model model) {

		LOGGER.info("canviContrasenya");
		
		model.addAttribute("tipusUsuari", "tripulant");		
		model.addAttribute("urlOrigen", "/GRP2018/menuTripulant/mostrarMenu");
		
		return "canviContrasenya";
    }
	

}
