package edu.uoc.grp.mapper;

import java.sql.ResultSet;
import java.sql.SQLException;
import org.springframework.jdbc.core.RowMapper;
import edu.uoc.grp.model.Area;


/**
 * Classe AreaMapper.
 * 
 * Classe que permet posar els valors obtinguts d'una consulta a la BD a dins dels camps corresponents de la classe Area. 
 *
 * @version 1.0; java version "1.8.0";
 */
public class AreaMapper implements RowMapper<Area>{


    @Override
    public Area mapRow(ResultSet rs, int rowNum) throws SQLException {
    
        Integer idArea = rs.getInt("idArea");
        String codiArea = rs.getString("codiArea");
        Integer extensio = rs.getInt("extensio");    	
        Float localitzacioLatitud = rs.getFloat("localitzacioLatitud");
        Float localitzacioLongitud = rs.getFloat("localitzacioLongitud");        
        
    	Area area = new Area();
    	area.setIdArea(idArea);
    	area.setCodiArea(codiArea);
    	area.setExtensio(extensio);
    	area.setLocalitzacioLatitud(localitzacioLatitud);
    	area.setLocalitzacioLongitud(localitzacioLongitud);
    	
    	return area;
    }

}
