package edu.uoc.grp.mapper;

import java.sql.ResultSet;
import java.sql.SQLException;
import org.springframework.jdbc.core.RowMapper;
import edu.uoc.grp.model.Empleat;


/**
 * Classe EmpleatMapper.
 * 
 * Classe que permet posar els valors obtinguts d'una consulta a la BD a dins dels camps corresponents de la classe Empleat. 
 *
 * @version 1.0; java version "1.8.0";
 */
public class EmpleatMapper implements RowMapper<Empleat>{
	
	
    @Override
    public Empleat mapRow(ResultSet rs, int rowNum) throws SQLException {
    	
        Integer idEmpleat = rs.getInt("idEmpleat");
        String tipusEmpleat = rs.getString("tipusEmpleat");
        String docIdentificatiu = rs.getString("docIdentificatiu");
        String nom = rs.getString("nom");
        String cognom1 = rs.getString("cognom1");
        String cognom2 = rs.getString("cognom2");
        String telefon = rs.getString("telefon"); 
        String adreca = rs.getString("adreca");
        String ciutat = rs.getString("ciutat");
        String pais = rs.getString("pais");
        
        Empleat empleat = new Empleat();
        empleat.setIdEmpleat(idEmpleat);
        empleat.setTipusEmpleat(tipusEmpleat);    	
        empleat.setDocIdentificatiu(docIdentificatiu);        
        empleat.setNom(nom);    	
        empleat.setCognom1(cognom1);         
        empleat.setCognom2(cognom2);
        empleat.setTelefon(telefon);
        empleat.setAdreca(adreca);
        empleat.setCiutat(ciutat);
        empleat.setPais(pais);        
        
    	return empleat;
    }

}
