package edu.uoc.grp.mapper;

import java.sql.ResultSet;
import java.sql.SQLException;
import org.springframework.jdbc.core.RowMapper;
import edu.uoc.grp.model.Moll;


/**
 * Classe MollMapper.
 * 
 * Classe que permet posar els valors obtinguts d'una consulta a la BD a dins dels camps corresponents de la classe Moll. 
 *
 * @version 1.0; java version "1.8.0";
 */
public class MollMapper implements RowMapper<Moll>{


    @Override
    public Moll mapRow(ResultSet rs, int rowNum) throws SQLException {
    
        Integer idMoll = rs.getInt("idMoll");
        String codiMoll = rs.getString("codiMoll");
        String nomPort = rs.getString("nomPort");    	
        
        Moll moll = new Moll();
        moll.setIdMoll(idMoll);
        moll.setCodiMoll(codiMoll);
        moll.setNomPort(nomPort);
    	
    	return moll;
    }

}
