package edu.uoc.grp.mapper;

import java.sql.ResultSet;
import java.sql.SQLException;
import org.springframework.jdbc.core.RowMapper;
import edu.uoc.grp.model.Tripulant;


/**
 * Classe TripulantMapper.
 * 
 * Classe que permet posar els valors obtinguts d'una consulta a la BD a dins dels camps corresponents de la classe Tripulant. 
 *
 * @version 1.0; java version "1.8.0";
 */
public class TripulantMapper implements RowMapper<Tripulant>{
	
	
    @Override
    public Tripulant mapRow(ResultSet rs, int rowNum) throws SQLException {

    	Integer idTripulant = rs.getInt("idTripulant");
        String tipusTripulant = rs.getString("tipusTripulant");
        Integer vaixellAssignat = rs.getInt("vaixellAssignat");
        String docIdentificatiu = rs.getString("docIdentificatiu");        
        String nomComplet = rs.getString("nomComplet");
        
        Tripulant tripulant = new Tripulant();
        tripulant.setIdTripulant(idTripulant);
        tripulant.setTipusTripulant(tipusTripulant);
        tripulant.setVaixellAssignat(vaixellAssignat);
        tripulant.setDocIdentificatiu(docIdentificatiu);
        tripulant.setNomComplet(nomComplet);
        
    	return tripulant;    	
    }

}
