package edu.uoc.grp.mapper;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Date;
import org.springframework.jdbc.core.RowMapper;
import edu.uoc.grp.model.Usuari;


/**
 * Classe UsuariMapper.
 * 
 * Classe que permet posar els valors obtinguts d'una consulta a la BD a dins dels camps corresponents de la classe Usuari. 
 *
 * @version 1.0; java version "1.8.0";
 */
public class UsuariMapper implements RowMapper<Usuari>{
	
	
    @Override
    public Usuari mapRow(ResultSet rs, int rowNum) throws SQLException {
    	
        Integer idUsuari = rs.getInt("idUsuari");
        String tipusUsuari = rs.getString("tipusUsuari");
        String login = rs.getString("login");        
        String contrasenya = rs.getString("contrasenya");
        String eMail = rs.getString("eMail");
        String estatEnSistema = rs.getString("estatEnSistema");
        String usuariAlta = rs.getString("usuariAlta"); 
        Date dataAlta = rs.getDate("dataAlta");
        String usuariModificacio = rs.getString("usuariModificacio");
        Date dataModificacio = rs.getDate("dataModificacio");
        String usuariBaixa = rs.getString("usuariBaixa");  
        Date dataBaixa = rs.getDate("dataBaixa");
        
        Usuari usuari = new Usuari();
        usuari.setIdUsuari(idUsuari);
        usuari.setTipusUsuari(tipusUsuari);
        usuari.setLogin(login);        
        usuari.setContrasenya(contrasenya);
        usuari.seteMail(eMail);
        usuari.setEstatEnSistema(estatEnSistema);
        usuari.setUsuariAlta(usuariAlta);
        usuari.setDataAlta(dataAlta);
        usuari.setUsuariModificacio(usuariModificacio);        
        usuari.setDataModificacio(dataModificacio);        
        usuari.setUsuariBaixa(usuariBaixa);        
        usuari.setDataBaixa(dataBaixa);        
        
        return usuari;
    }

}
