package edu.uoc.grp.mapper;

import java.sql.ResultSet;
import java.sql.SQLException;
import org.springframework.jdbc.core.RowMapper;
import edu.uoc.grp.model.Vaixell;


/**
 * Classe VaixellMapper.
 * 
 * Classe que permet posar els valors obtinguts d'una consulta a la BD a dins dels camps corresponents de la classe Vaixell. 
 *
 * @version 1.0; java version "1.8.0";
 */
public class VaixellMapper implements RowMapper<Vaixell>{
	
	
    @Override
    public Vaixell mapRow(ResultSet rs, int rowNum) throws SQLException {
    	
        Integer idVaixell = rs.getInt("idVaixell");
        String nomVaixell = rs.getString("nomVaixell");
        String tipusVaixell = rs.getString("tipusVaixell");    	
        String eslora = rs.getString("eslora");
        String areaAssignada = rs.getString("areaAssignada");
        Integer idAreaAssignada = rs.getInt("idAreaAssignada");        
        String mollAssignat = rs.getString("mollAssignat"); 
        Integer idMollAssignat = rs.getInt("idMollAssignat");        
        
    	Vaixell vaixell = new Vaixell();
    	vaixell.setIdVaixell(idVaixell);
    	vaixell.setNomVaixell(nomVaixell);
    	vaixell.setTipusVaixell(tipusVaixell);
    	vaixell.setEslora(eslora);
    	vaixell.setAreaAssignada(areaAssignada);
    	vaixell.setIdAreaAssignada(idAreaAssignada);
    	vaixell.setMollAssignat(mollAssignat);
    	vaixell.setIdMollAssignat(idMollAssignat);
    	
    	return vaixell;
    }

}
